Page MenuHomePhabricator

Create Wikipedia Paiwan
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wikipedia Paiwan.

  • Shard: s5
  • Local file uploads: disabled

Thank you.


Pre-install automatic checklist:

The Wiki is ready to be created.


Step by step commands:
On deploy1001:
cd /srv/mediawiki-staging/
git fetch
git log -p HEAD..@{u}
git rebase
On mwmaint1002:
scap pull
mwscript extensions/WikimediaMaintenance/addWiki.php --wiki=muswiki pwn wikipedia pwnwiki pwn.wikipedia.org
On deploy1001:
scap sync-file wmf-config/db-eqiad.php "Creating pwnwiki (T292415)"
scap sync-file wmf-config/db-codfw.php "Creating pwnwiki (T292415)"
scap sync-file dblists "Creating pwnwiki (T292415)"
scap sync-wikiversions "Creating pwnwiki (T292415)"
scap sync-file static/images/project-logos/ "Creating pwnwiki (T292415)"
scap sync-file wmf-config/logos.php "Creating pwnwiki (T292415)"
scap sync-file wmf-config/InitialiseSettings.php "Creating pwnwiki (T292415)"
scap sync-file langlist "Creating pwnwiki (T292415)"
On mwmaint1002:
mwscript extensions/CirrusSearch/maintenance/UpdateSearchIndexConfig.php --wiki=pwnwiki --cluster=all
On deploy1001:
scap update-interwiki-cache

End of automatic output

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 725876 had a related patch set uploaded (by Gerrit maintenance bot; author: Gerrit maintenance bot):

[mediawiki/extensions/WikimediaMessages@master] Add messages for Paiwan Wikipedia (pwnwiki)

https://gerrit.wikimedia.org/r/725876

Change 725876 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMessages@master] Add messages for Paiwan Wikipedia (pwnwiki)

https://gerrit.wikimedia.org/r/725876

Change 733140 had a related patch set uploaded (by Gerrit maintenance bot; author: Gerrit maintenance bot):

[operations/dns@master] Add pwn to langlist helper

https://gerrit.wikimedia.org/r/733140

Change 733142 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Initial configuration for pwnwiki

https://gerrit.wikimedia.org/r/733142

Urbanecm added a subscriber: Urbanecm.

Creation of the wiki was scheduled for next Thursday, 08:30–10:00 UTC. Once the wiki is created, this ticket will be closed, and one of the new wiki importers will import content from Incubator to the newly created wiki.

Change 734219 had a related patch set uploaded (by Jon Harald Søby; author: Jon Harald Søby):

[mediawiki/core@master] Add namespace translations for [ami] Amis and [pwn] Paiwan

https://gerrit.wikimedia.org/r/734219

Change 733140 merged by Dzahn:

[operations/dns@master] Add pwn to langlist helper

https://gerrit.wikimedia.org/r/733140

Mentioned in SAL (#wikimedia-operations) [2021-10-25T21:40:55Z] <mutante> authdns1001 (DNS) - sudo authdns-update, add new project language "pwn" (Paiwan) for T292415

created in DNS: pwn.wikipedia.org is an alias for dyna.wikimedia.org.

Mentioned in SAL (#wikimedia-operations) [2021-10-25T21:53:44Z] <mutante> new project language "pwn" added - Paiwan is a native language of Taiwan, spoken by the Paiwan, a Taiwanese indigenous people. T292415

Change 734587 had a related patch set uploaded (by Urbanecm; author: Jon Harald Søby):

[mediawiki/core@wmf/1.38.0-wmf.6] Add namespace translations for [ami] Amis and [pwn] Paiwan

https://gerrit.wikimedia.org/r/734587

Change 734588 had a related patch set uploaded (by Urbanecm; author: Jon Harald Søby):

[mediawiki/core@wmf/1.38.0-wmf.5] Add namespace translations for [ami] Amis and [pwn] Paiwan

https://gerrit.wikimedia.org/r/734588

Change 734588 merged by Urbanecm:

[mediawiki/core@wmf/1.38.0-wmf.5] Add namespace translations for [ami] Amis and [pwn] Paiwan

https://gerrit.wikimedia.org/r/734588

Change 734587 merged by Urbanecm:

[mediawiki/core@wmf/1.38.0-wmf.6] Add namespace translations for [ami] Amis and [pwn] Paiwan

https://gerrit.wikimedia.org/r/734587

Mentioned in SAL (#wikimedia-operations) [2021-10-26T11:49:27Z] <urbanecm@deploy1002> Started scap: c131f32e5e0804c8f5c2ec768b334c81a1b35151: Add namespace translations for [ami] Amis and [pwn] Paiwan (T292414, T292415)

Mentioned in SAL (#wikimedia-operations) [2021-10-26T11:51:52Z] <urbanecm@deploy1002> Finished scap: c131f32e5e0804c8f5c2ec768b334c81a1b35151: Add namespace translations for [ami] Amis and [pwn] Paiwan (T292414, T292415) (duration: 02m 25s)

Change 734219 merged by jenkins-bot:

[mediawiki/core@master] Add namespace translations for [ami] Amis and [pwn] Paiwan

https://gerrit.wikimedia.org/r/734219

Change 733142 merged by jenkins-bot:

[operations/mediawiki-config@master] Initial configuration for pwnwiki

https://gerrit.wikimedia.org/r/733142

Mentioned in SAL (#wikimedia-operations) [2021-10-28T08:37:23Z] <urbanecm@deploy1002> Synchronized wmf-config/db-eqiad.php: Creating pwnwiki (T292415) (duration: 01m 03s)

Mentioned in SAL (#wikimedia-operations) [2021-10-28T08:38:38Z] <urbanecm@deploy1002> Synchronized wmf-config/db-codfw.php: Creating pwnwiki (T292415) (duration: 01m 03s)

Mentioned in SAL (#wikimedia-operations) [2021-10-28T08:39:43Z] <urbanecm@deploy1002> Synchronized dblists: Creating pwnwiki (T292415) (duration: 01m 02s)

Mentioned in SAL (#wikimedia-operations) [2021-10-28T08:40:55Z] <urbanecm@deploy1002> rebuilt and synchronized wikiversions files: Creating pwnwiki (T292415)

Mentioned in SAL (#wikimedia-operations) [2021-10-28T08:41:58Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Creating pwnwiki (T292415) (duration: 01m 03s)

Mentioned in SAL (#wikimedia-operations) [2021-10-28T08:43:01Z] <urbanecm@deploy1002> Synchronized langlist: Creating pwnwiki (T292415) (duration: 01m 02s)

The wiki is now live.

Mentioned in SAL (#wikimedia-operations) [2021-10-28T08:49:34Z] <urbanecm> [urbanecm@mwmaint1002 ~]$ mwscript extensions/CirrusSearch/maintenance/UpdateSearchIndexConfig.php --wiki=pwnwiki --cluster=all # T292415

Change 735364 had a related patch set uploaded (by KartikMistry; author: KartikMistry):

[mediawiki/services/cxserver@master] Add Paiwan (pwn) to language config

https://gerrit.wikimedia.org/r/735364

Change 735364 merged by jenkins-bot:

[mediawiki/services/cxserver@master] Add Paiwan (pwn) to language config

https://gerrit.wikimedia.org/r/735364